<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>demo2</title>
    <link th:href="@{/css/bootstrap/bootstrap.min.css}" rel="stylesheet">
    <script th:src="@{/js/bootstrap/bootstrap.bundle.min.js}" type="text/javascript"></script>
    <script th:src="@{/js/bootstrap/jquery-3.6.0.min.js}" type="text/javascript"></script>
</head>
<body>

<div th:fragment="navbar">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand fw-bold" title="Main page" th:href="@{/}">SimilarTrello</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" th:href="@{/swagger-ui/}" th:text="#{nav.swagger}">Swagger UI</a>
                    </li>
                </ul>


                <div class="d-flex" sec:authorize="isAnonymous()">
                    <a class="nav-link active" th:href="@{/login}" th:text="#{nav.login}">Login</a>
                </div>
                <div class="d-flex" sec:authorize="isAnonymous()">
                    <a class="nav-link active" th:href="@{/registration}" th:text="#{nav.register}">Register</a>
                </div>

                <div class="d-flex" sec:authorize="isAuthenticated()">
                    <a class="navbar-text fw-bold" sec:authentication="name"></a>
                    <a class="nav-link active" th:href="@{/logout}" th:text="#{nav.logout}">Logout</a>
                </div>

                <div class="btn-group" th:switch="${#locale.language}">
                    <div class="d-flex" th:case="'en'">
                        <a href="?lang=ua" class="btn btn-warning" th:text="#{lang.ua}"></a>
                        <a href="?lang=en" class="btn btn-primary disabled" th:text="#{lang.eng}"></a>
                    </div>
                    <div class="d-flex" th:case="*">
                        <a href="?lang=ua" class="btn btn-warning disabled" th:text="#{lang.ua}"></a>
                        <a href="?lang=en" class="btn btn-primary" th:text="#{lang.eng}"></a>
                    </div>
                </div>

            </div>
        </div>
    </nav>
</div>
</body>
</html>